Schedule deletion of a Partially signed document
DELETE/agreements/:agreement_id/documents/partially_signed_documents/:id
Schedule deletion of a Partially signed document
Request
Path Parameters
DELETE /agreements/:agreement_id/documents/partially_signed_documents/:id parameter
DELETE /agreements/:agreement_id/documents/partially_signed_documents/:id parameter
Responses
- 200
- 400
DELETE /agreements/:agreement_id/documents/partially_signed_documents/:id Successful response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [1.0]
The version of the response schema
Possible values: [deleted]
Returns a single object of the partially_signed_document resource which was deleted.
Possible values: [partially_signed_document]
Data contains the partially_signed_document resource.
data objectrequired
The resource data that was deleted.
The unique identifier of the partially signed document
Possible values: [partially_signed_document]
Possible values: [queued, current, stale, deprecated, failed]
Possible values: <= 9007199254740991
file objectnullablerequired
The file resource
The unique identifier of the file
Possible values: [file]
Possible values: non-empty
The complete filename including the file extension
Possible values: non-empty
The mime type of the file
The signed read url of the file
metadata object
A provided lookup key provided by you to help you identify the file.
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "deleted",
"resource_type": "partially_signed_document",
"data": {
"id": "cribuzevpjbdmj2psr4example",
"resource_type": "partially_signed_document",
"status": "queued",
"revision": 0,
"file": {
"id": "cuf4mt0phzxiwkbzvzpexample",
"resource_type": "file",
"filename": "my-file.pdf",
"mime_type": "application/pdf",
"url": "https://zigned.se",
"metadata": {
"lookup_key": "file_tag"
},
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
},
"delete_scheduled_at": "2024-01-01T00:00:00.000Z",
"deleted_at": "2024-01-01T00:00:00.000Z",
"deleted": true,
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}
DELETE /agreements/:agreement_id/documents/partially_signed_documents/:id Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}